“您的PHP似乎没有安装运行WordPress所必需的MySQL扩展”的修复办法

你是否见过这样的错误:”您的PHP似乎没有安装运行WordPress所必需的MySQL扩展” 其实安装WordPress通常是一个非常容易的过程。但是有时你可能会被特殊的错误打断。虽然它们通常很容易解决,但往往很难理解到底是什么地方出了问题,以便你可以修复它。

如果你不是技术人员,不知道什么是PHPMySQLWordPress使用的技术,这一点尤其真实。一个这样的错误与MySQL有关,它是WordPress使用的数据库技术。这个错误通常看起来像这样的东西:

  • 您的PHP似乎没有安装运行WordPress所必需的MySQL扩展。
  • 你缺少一个MySQL扩展
  • PHP缺少SQL扩展
  • WordPress不能连接到它的MySQL数据库

简而言之,它涉及到PHP和MySQL之间以及两者之间的连接问题。

这个错误是什么意思?如何修复它?

在这篇文章中,搬主题将带领你在不到五分钟的时间内解决它。如果你不是一个技术专家,不要担心!一切都很容易掌握,而且不会影响到你的工作。

一、什么是 “您的PHP似乎没有安装运行WordPress所必需的MySQL扩展”错误

“您的PHP似乎没有安装运行WordPress所必需的MySQL扩展”的修复办法插图

那么,这个错误到底是什么呢?简单地说,它只是意味着你的WordPress服务器在连接到它的MySQL数据库时有困难。确切的细节可能有所不同,但这几乎总是核心问题。

什么是MySQL?MySQL是WordPress使用的数据库软件。它几乎储存了你所有的数据,包括用户资料、插件、帖子内容、帖子类型等等。

你可以通过CPanel访问你的MySQL数据库。当你得到这个PHP错误时,它通常意味着你的WordPress网站和它的数据库之间的连接出现了问题。

大多数情况下,这个问题的来源是你服务器上的PHP。具体来说,就是它缺少一个允许它将你的网站连接到MySQL数据库的特定扩展(因此这个错误的名字就叫这个)。基本上,这意味着你的WordPress网站不能与当前安装在你的服务器上的PHP版本一起工作。

许多虚拟主机在默认情况下预装了这个MySQL扩展,但其他的就没有。例如,基于Linux的服务器,并不总是包括它。然而,如果你使用托管服务,几乎可以保证他们已经安装了它。

什么是PHP?PHP只是WordPress所使用的编程语言。虽然它看起来很复杂,但就编程语言而言,PHP实际上是相当简单和用户友好的。

你可以了解更多关于PHP的信息,或者找一个课程来学习它和其他的Web开发技术。

二、是什么导致了 “您的PHP似乎没有安装运行WordPress所必需的MySQL扩展”的错误

什么原因导致这个错误?有许多潜在的原因。让我们来谈谈两个最可能的原因,使用过期的PHP版本或使用过期的WordPress版本。

1、使用PHP 5.6或更低版本

如果你使用的是旧版本的 PHP,它可能是问题的来源。在 PHP 5.6 中有一个变化,它影响了 MySQL 扩展。

如果你使用这个版本的PHP或更早的版本,但仍然有MySQL扩展的问题,这很可能是扩展被错误地配置或安装不正确。

2、旧版本的WordPress与新版本的PHP

如果你安装了较新版本的PHP,但使用的是较旧版本的WordPress,你可能会有一些问题。WordPress是经常更新的,重要的是始终保持对新版本的更新。如果你不这样做,你可能会有安全问题和一般技术问题的风险(就像这篇文章所说的那样!)。

如果你使用一个管理型的主机,他们很可能已经为你保持你的网站是最新的。

三、修复 “您的PHP似乎没有安装运行WordPress所必需的MySQL扩展”错误的解决办法

现在让我们来看看解决这个问题的一些不同方法。在我们开始之前,你将需要以下三样东西。

  • 网站登录名和密码:你需要对你的网站有管理权限。如果你不知道你的用户名和密码,请在你的主机面板上查找。
  • FTP/SFTP或SSH客户端:要访问你的网站,你需要有一个FTP或SSH客户端。我们建议使用FileZilla做FTP/SFTP,PuTTY做SSH。
  • 文本编辑器:你将需要修改一些基本文件。要做到这一点,你需要一个基本的文本编辑器,如TextEdit或Sublime Text。

1. 升级WordPress

在做其他事情之前,尝试更新WordPress。正如许多技术问题一样,一个简单的更新往往可以解决这个问题。所以,最好是先试试这个!

如果你能够访问你的WordPress仪表板,更新你的网站很容易。只要在你的WordPress侧边栏上进入更新,看看是否有任何更新可用。在极端情况下,你可以重新安装WordPress,你可以通过点击立即重新安装按钮来做。

“您的PHP似乎没有安装运行WordPress所必需的MySQL扩展”的修复办法插图1

如果你不能访问你的WordPress仪表板,你将需要通过FTP/SFTP或SSH手动更新WordPress。下面是如何做到这一点的。

首先,备份你的网站。在做任何改变之前,你应该总是备份它。值得庆幸的是,用一个备份插件很容易做到这一点。不幸的是,除非你之前已经设置了备份插件,否则你现在将无法添加它。这只是一个原因,为什么你应该在你认为你需要它之前总是建立一个备份系统!

在备份了你的网站之后,从官方仓库下载最新版本的WordPress。打开压缩的zip文件。(在某些情况下,它将被你的网络浏览器自动打开)。)

“您的PHP似乎没有安装运行WordPress所必需的MySQL扩展”的修复办法插图2

现在你会看到一个大的文件列表。我们要删除其中的三个项目。这就对了,删除

  • wp-config-sample.php文件。
  • wp-config.php文件。有时这个文件不会被包含。如果它被包含,一定要删除它。
  • wp-content文件夹。这是一个文件夹,不是一个文件。

为什么我们需要删除这些?因为如果我们不删除它们,然后把WordPress包上传到我们的网站,内容和设置将被重置。我们肯定不希望这样做!所以,我们需要删除这些文件。删除了这些文件?如果你已经删除了,那就进入下一个步骤:把它们上传到你的服务器。

“您的PHP似乎没有安装运行WordPress所必需的MySQL扩展”的修复办法插图3

一旦你连接到你的网站,上传所有的文件。覆盖目前在你的服务器上的文件。一旦你这样做,你的网站现在应该运行最新版本的WordPress。回到你网站的前端,看看这个问题是否仍然存在。

2. 检查PHP版本

仍然有问题?有可能是你安装了错误的 PHP 版本。让我们来检查一下你有哪个版本。

如果你使用 cPanel,你可以直接在 cPanel 应用程序中检查 PHP 版本。然而,在本教程中,我们将直接连接到服务器,因为这是解决这个问题的通用方法。

首先,使用FTP/SFTP或SSH连接到你的网站。在顶层目录(称为 “根 “目录)创建一个新文件,称为phpinfo.php

在这个文件中,粘贴以下代码:

<?php
phpinfo();
?>

现在打开你的互联网浏览器,导航到site.com/phpinfo.php。(用你自己的域名代替site。)现在你会看到一个显示你的PHP安装细节的页面。该页面的确切布局将取决于你的主机。你要找的是 “PHP版本”。旁边的数字是你当前的版本。

在下面的图片中,它就在页面的顶部。在其他的安装系统中,它可能在一栏中,在一个叫 Core 的部分下,紧挨着一个叫 PHP Version 的项目。

“您的PHP似乎没有安装运行WordPress所必需的MySQL扩展”的修复办法插图4

如果列出的数字低于7.0,这可能是问题的根源。向前看,你有两个选择。

  1. 更新你的PHP版本
  2. 检查是否安装了额外的MySQL扩展

保持这个PHP版本页面的开放,因为我们在下一步可能需要它。

如何更新PHP版本?

这在很大程度上取决于你的主机和你的特定安装。请阅读我们关于如何更新PHP版本的完整指南。你也可以联系你的主机并要求他们为你做这件事。

检查是否安装了额外的MySQL扩展程序

不想更新PHP?那么你可能需要安装额外的MySQL扩展。要看这个扩展是否已经安装,回到site.com/phpinfo.php,(用你自己的域名代替site)。应该有一个名为mysql或mysqli的部分。如果你找不到它,使用CTRL + F来搜索它。

“您的PHP似乎没有安装运行WordPress所必需的MySQL扩展”的修复办法插图5

你正在寻找一个名为客户端API库版本的项目。如果这个项目在那里,这意味着该扩展已被安装。如果你没有看到它,这意味着你没有安装该扩展。

如果你没有看到这个项目,你应该联系你的主机,要求他们为你安装扩展。同样,一般来说,使用较新版本的 PHP 是一个更好的主意。较新的版本是保持最新的,包括更好的安全修复,而且一般来说,使用起来更安全、更有效率。

但是如果有一个标题为客户端API库版本的项目呢?这意味着该扩展已经安装。

3. 检查MySQL扩展是否配置正确

如果扩展已经安装,但你仍然有问题,有可能是扩展本身出现了问题。有几个原因可能会出现这种情况。

  • php.ini文件的格式不正确
  • php.ini文件的文件路径/位置不正确

PHP.ini文件的格式不正确

php.ini 文件是一个配置文件,在 PHP 首次启动时运行。它控制诸如网站的内存限制。当你使用不正确的php.ini文件的版本时,可能会发生问题。具体来说,如果你在Windows服务器上使用的是Linux服务器的格式,或者反之亦然。

要解决这个问题,只需删除该文件。当 PHP 重新开始运行时,它将被重新创建。但在删除它之前,最好先下载一个备份副本。这样,在出现任何新的问题时可以重新上传。你可以在WordPress站点的/public_html文件夹中找到php.ini文件。要删除它,只需右击它并选择删除。

“您的PHP似乎没有安装运行WordPress所必需的MySQL扩展”的修复办法插图6

删除后,重新加载你的网站,看看是否仍然显示错误。

文件路径不正确

这只是意味着扩展名在错误的目录中。如果你认为是这种情况,请联系你的主机,要求他们解决这个问题。

四、关于MySQL扩展问题的最后总结

修复WordPress的一个问题通常比较容易。但是有时它可能需要尝试几个不同的解决方案才能彻底解决。对于涉及到WordPress、PHP和MySQL等核心技术的比较棘手的问题尤其如此。

尽管如此,不要担心。这是一个可以解决的问题!只要按照我们上面的指南,你就一定能找到解决 “你的PHP安装似乎缺少WordPress所需要的MySQL扩展 “错误的方法。一般来说,如果你保持PHP和WordPress的更新,你可以避免很多类似的问题。

 收藏 (0) 更新不易,打赏吧

您可以选择一种方式赞助本站

支付宝扫一扫赞助

微信钱包扫描赞助

除特别注明外,本站所有文章均基于CC-BY-NC-SA 4.0原创,转载请注明出处。
文章名称:《“您的PHP似乎没有安装运行WordPress所必需的MySQL扩展”的修复办法》
文章链接:https://www.banzhuti.com/php-installation-appears-to-be-missing-the-mysql-extension.html
分享到: 生成海报
版权免责声明

① 本站提供的资源(插件或主题)均为网上搜集,如有涉及或侵害到您的版权请立即通知我们。
② 本站所有下载文件,仅用作学习研究使用,请下载后24小时内删除,支持正版,勿用作商业用途。
③ 因代码可变性,不保证兼容所有浏览器、不保证兼容所有版本的WP、不保证兼容您安装的其他插件。
④ 本站保证所提供资源(插件或主题)的完整性,但不含授权许可、帮助文档、XML文件、PSD、后续升级等。
⑤ 由本站提供的资源对您的网站或计算机造成严重后果的本站概不负责。
⑥ 使用该资源(插件或主题)需要用户有一定代码基础知识!另本站提供汉化使用安装教程,仅供参考。
⑦ 有时可能会遇到部分字段无法汉化,同时请保留作者汉化宣传信息,谢谢!
⑧ 本站资源售价只是赞助和汉化辛苦费,收取费用仅维持本站的日常运营所需。
⑨ 如果喜欢本站资源,欢迎捐助本站开通会员享受优惠折扣,谢谢支持!
⑩ 如果网盘地址失效,请在相应资源页面下留言,我们会尽快修复下载地址。

热门文章

评论 抢沙发

评论前必须登录!

立即登录   注册

WordPress主题 插件 建站 汉化

定制服务联系我们
切换注册

登录

点击按钮进行验证

忘记密码 ?

您也可以使用第三方帐号快捷登录

切换登录

注册

我们将发送一封验证邮件至你的邮箱, 请正确填写以完成账号注册和激活